version: '3.7'

services:

  backend:
    image: data_coop_membersystem:dev
    build:
      context: .
    command: python /app/src/manage.py runserver 0.0.0.0:8000
    tty: true
    ports:
      - "8000:8000"
    volumes:
      - ./:/app/
    depends_on:
      - postgres
    env_file:
      - .env

  postgres:
    image: postgres:13-alpine
    volumes:
      - postgres_data:/var/lib/postgresql/data/
    ports:
      - 5432:5432
    env_file:
      - .env

volumes:
  postgres_data:
